POST
Upload Artifact content.
https://azure.com/artifact/v2.0/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/artifacts/{origin}/{container}/contentUpload content to an Artifact.
Access Token Required: API Key
Path Parameters
originstringrequired
The origin of the Artifact.
containerstringrequired
The container name.
Query Params
pathstring
The Artifact Path.
indexstring
The index.
appendstring
Whether or not to append the content or replace it.
allowOverwritestring
whether to allow overwrite if Artifact Content exist already. when set to true, Overwrite happens if Artifact Content already exists
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'https://azure.com/artifact/v2.0/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/artifacts/{origin}/{container}/content' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}